Bank Transfer
curl --request POST \
--url https://nini.monieswitch.com/branch/store/transfer/bank \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://nini.monieswitch.com/branch/store/transfer/bank"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://nini.monieswitch.com/branch/store/transfer/bank', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Transfer of NGN1,000.00 to SIMI MICHELLE (2394934324/PROVIDUS BANK)/999270250105010551769503371644",
"data": {
"status": "SUCCESS",
"amount": 1000,
"merchantId": "bb80715c-dcbc-460c-a8e4-203b63b03fce",
"narration": "First bank transfer",
"beneficiaryBankCode": "000023",
"beneficiaryAccountNumber": "2394934324",
"description": "₦1,000.00 transferred to SIMI MICHELLE",
"beneficiaryAccountName": "SIMI MICHELLE",
"charges": 10,
"totalAmount": 1010,
"beneficiaryBankName": "PROVIDUS BANK",
"originatorWalletId": "1e04b3a0-eabd-48b4-b5ba-91ec1d15a103",
"originatorAccountName": "Neyosoft/Lambe Shop",
"originatorAccountNumber": "4478164596",
"paidAt": "2025-01-05T01:05:49+01:00",
"transactionId": "5a739040-7e59-4ba4-8895-e4fe7fcfaf28",
"reference": "vpJJpYmSn4oe1wD6SSSpb9lAz92VSyqHlxH3",
"sessionId": "999270250105010551769503371644"
}
}Branches
Bank Transfer
POST
/
branch
/
store
/
transfer
/
bank
Bank Transfer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The body is of type object.
⌘I